From 6defea4b79ece5c815fcbbd6f0171d5c12815c95 Mon Sep 17 00:00:00 2001
From: Guilherme Sant'Ana <guilherme.sant_ana@outlook.com>
Date: May 17 2018 17:39:00 +0000
Subject: [PATCH 3/42] Fix wrong package selection and package version


---

diff --git a/src/components/package/List.vue b/src/components/package/List.vue
index 1c669c3..4ac53b3 100644
--- a/src/components/package/List.vue
+++ b/src/components/package/List.vue
@@ -91,7 +91,7 @@ export default {
     ]),
     showPackage (item, index) {
       console.log('Entrou aqui')
-      let p = this.allPackages[index]
+      let p = this.allPackages.find(singlePackage => singlePackage.name === item.name)
       this.$router.push({
         name: 'analysis',
         params: {
diff --git a/src/components/package/PackagePage.vue b/src/components/package/PackagePage.vue
index f068459..58fdc8b 100644
--- a/src/components/package/PackagePage.vue
+++ b/src/components/package/PackagePage.vue
@@ -1,6 +1,6 @@
 <template>
   <div class="package-page container">
-    <b-card :title="currentPackage.name" sub-title="1.0.0">
+    <b-card :title="currentPackage.name" :sub-title="lastVersion">
       <div class="row">
         <div class="col-sm-6 description-container">
           <div class="total-container">

